Create Agent
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
name?string
description?string
agentPublicIp?string
gatewayRegion?string
Default
"AGENT_GATEWAY_REGION_UNSPECIFIED"Value in
"AGENT_GATEWAY_REGION_UNSPECIFIED" | "AGENT_GATEWAY_REGION_AMS01"hypervisorDriver?string
Optional on console create (not persisted until CLI register). Required on
nr cluster register. Must match the organization driver after the first
registered agent.
Default
"PLATFORM_DRIVER_UNSPECIFIED"Value in
"PLATFORM_DRIVER_UNSPECIFIED" | "PLATFORM_DRIVER_PROXMOX" | "PLATFORM_DRIVER_VIRTFUSION" | "PLATFORM_DRIVER_SOLUSVM"Response Body
application/json
curl -X POST "https://api.noderings.com/v1/agents" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string", "agentPublicIp": "string", "gatewayRegion": "AGENT_GATEWAY_REGION_UNSPECIFIED", "hypervisorDriver": "PLATFORM_DRIVER_UNSPECIFIED"}'{
"agent": {
"id": "string",
"name": "string",
"description": "string",
"gatewayRegion": "AGENT_GATEWAY_REGION_UNSPECIFIED",
"agentPublicIp": "string",
"gwServerServicePort": 0,
"organizationId": "string",
"metadata": {},
"status": "STATUS_UNSPECIFIED",
"timestamps": {
"createTime": "2019-08-24T14:15:22Z",
"updateTime": "2019-08-24T14:15:22Z"
},
"provisioned": true,
"inboundPeeringState": "INBOUND_PEERING_STATE_UNSPECIFIED",
"inboundPeeringError": "string",
"serviceStatus": "SERVICE_STATUS_UNSPECIFIED",
"hypervisorDriver": "PLATFORM_DRIVER_UNSPECIFIED"
}
}